; Wallpapr
; Rick Alber, January 1987
; Uses Wallpapr.db data table
;
; PAL implementation of sample program described in PC Magazine article
;  about Clarion dated 1/27/87 (Page 153)
;
; Illustrates use of paged form to create "pop-up" help screens
;
; Not optimized for performance - written to illustrate brevity of coding
;
; Use Paradox.cfg file provided in order to match program colors
;

Edit "Wallpapr"
Pickform "F"
While (true)                                                ;loop until Esc
  Wait Record Prompt "",FORMAT("w80,ac","HOW MUCH WALLPAPER DO YOU NEED?")
  Until 10,27,"F1","F2"
  Switch
  Case retval=10: Del                                       ;clear values
  Case retval="F1":
    Pickform "1"                                            ;switch to help form
    Wait Field Prompt "",FORMAT("w80,ac","HOW MUCH WALLPAPER DO YOU NEED?")
      until "Enter"                                         ;wait for field entry
    Pickform "F"  Keypress "Enter"                          ;switch back to other form and move to next field
  Case retval=27: Canceledit Clearall Quit                  ;exit
  Case retval="F2":                                         ;calculate results
    Height=[Height]*12  Perim=[Perim]*12
    If Mod(Height,[Every])<>0 Then Height=Int(Height/[Every]+1)*[Every] Endif
    If [Type]="European" then Area=3168 Else Area=4320 Endif ;values from PC Magazine article
    [Rolls]=Int(Perim*Height/Area)-Int([Doors]/2)-[Windows]  ;questionable calculations from article
    [Cost]=[Rolls]*[Price]
  Endswitch
Endwhile

